//----------------------PROPERTIES-NEWS-CARD-REGULAR-MODULE-MODULE-FILE---------------------------//

//BLOCK
/*******/
.news-card {
  position: relative;
}

.news-card-picture {
  position: relative;
}

.news-card-title {
  max-height: 3.75rem;
  margin-bottom: $news-card-spacing;
}

.news-card-label-container {
  display: flex;
  margin-bottom: $news-card-spacing;

  .label {
    margin-right: $news-card-spacing;
  }
}

.news-card-title,
.news-card-text {
  display: block;
  font-family: $news-card-title-font;
  font-size: $news-card-title-font-size;
  line-height: 1.25rem;
  overflow: hidden;
}

.news-card-text {
  font-size: $news-card-text-font-size;
  margin-bottom: $news-card-spacing;
}

.news-card-link {
  color: inherit;
  text-decoration: none;

  &:hover {
    color: $news-card-color-hover;
  }

  @extend %full-link;
}

/* UPPER TITLE */
.news-card-upper-title {
  margin-bottom: 0.9375rem;
  display: flex;
  position: relative;
  padding-bottom: 0.9375rem;
  font-family: $news-card-title-font;
  font-size: 2.25rem;
  font-weight: 600;
  text-transform: uppercase;

  &:after {
    content: "";
    position: absolute;
    bottom: 0;
    border-bottom: 0.125rem solid $white-style2;
    width: 6.25rem;
  }
}

/* alway the same shitty stuff with full layout and link hover ... */
.news-card .thumbnail-link:hover+.news-card-info .news-card-link {
  color: $news-card-color-hover;
}

.news-card-date {
  font-family: $news-card-title-font;
  font-size: 0.6875rem;
}

// NEWS CARD FULL
.news-card-full {
  position: relative;
  overflow: hidden;
  color: #ffffff;

  .news-card-info {
    position: absolute;
    width: 100%;
    bottom: 0;
    z-index: 1;
    padding: $news-card-spacing;
    background: linear-gradient(transparent, $black-style1);
  }

  .news-card-hashtag-item {
    color: white;
  }
}

// NEWS CARD COL
.news-card-col {
  .news-card-picture {
    margin-bottom: $news-card-spacing;
  }
}

// NEWS CARD ROW
.news-card-row {
  display: flex;
  align-items: flex-start;

  .news-card-picture {
    margin-right: $news-card-spacing;
  }

  &.news-card-1 {
    .news-card-picture {
      flex: 0 0 25%;
    }
  }

  &.news-card-16-9 {
    .news-card-picture {
      flex: 0 0 33%;
    }
  }
}

.news-card-only-text {
  .news-card-title {
    margin-top: $news-card-spacing;
  }
}

// NEWS CARD BANNER
.news-card-banner {
  position: relative;
  overflow: hidden;

  @include target-mq("zero", "medium") {
    .news-card-info {
      position: relative;
      background: transparent;
      color: #000000;
      margin-top: $news-card-spacing;
      padding: 0;
    }
  }

  @include mq("medium") {
    .news-card-info {
      top: 0;
      padding-top: 0.9375rem;
      background: linear-gradient(126deg,
          rgba(0, 0, 0, 1) 0%,
          rgba(0, 0, 0, 1) 0%,
          rgba(0, 0, 0, 0) 49%,
          rgba(0, 0, 0, 0) 100%);
    }

    .news-card-label-container {
      width: 3.125rem;
      flex-direction: column;

      &.label {
        margin-top: 0.9375rem;
      }
    }

    .news-card-title {
      max-width: 40%;
    }
  }
}

@include target-mq("zero", "medium") {
  .news-card-full .news-card-picture {
    aspect-ratio: 1/1;
  }
}